var importador = mapperFactory.createMapper("Importador");
var i = 0;
var obj = message.get("obj");
var itens = obj.get("itens");
var filiais = obj.get("filial");



try {
	importador.insert("incluirEstProdTabloide",obj); // INSERE Cabeçalho
	
	if(itens !== null){
		for (i = 0; i < itens.size(); i++) {
		   var item = itens.get(i);
		   importador.insert("incluirEstProdTabloideCpl",item); //INSERE Itens
		}
	}
	if(filiais !== null){
		for (i = 0; i < filiais.size(); i++) {
		   var filial = filiais.get(i);
		   importador.insert("incluirEstProdTabloideFilial",filial); //INSERE Itens
		}
	}

	importador.commit();
}catch(err) {
    java.lang.System.out.println(err);
    importador.rollback();
    throw " Ocorreu um erro: " + err;
}


